Package com.xebialabs.deployit.plugin.overthere

# Enum Class DefaultCopyStrategyName

java.lang.Object
java.lang.Enum<DefaultCopyStrategyName>
com.xebialabs.deployit.plugin.overthere.DefaultCopyStrategyName

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultCopyStrategyName>`, `Constable`

public enum DefaultCopyStrategyName extends Enum<DefaultCopyStrategyName>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `OneByOne`
  `Tar`
  `Zip`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DefaultCopyStrategyName`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DefaultCopyStrategyName[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OneByOne

    public static final DefaultCopyStrategyName OneByOne

  - ### Tar

    public static final DefaultCopyStrategyName Tar

  - ### Zip

    public static final DefaultCopyStrategyName Zip

- ## Method Details

  - ### values

    public static DefaultCopyStrategyName[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DefaultCopyStrategyName valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null